/* text_search.h -- Magic C++ header file
   (Mostly) portable public-domain implementation
   -- Copyright(C) 2003 Magicunix Infomation Technology Limited 
   This file is part of magicd.
   magicd is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public
   License as published by the Free Software Foundation; either
   version 2 of the License, or (at your option) any later version.
	 
   For details, see the Magic C++ World-Wide-Web page, 
   `http://www.magicunix.com',
   or send a mail to the Magic C++ developers <support@magicunix.com>.
 */

#ifndef _TEXT_SEARCH_H
#define _TEXT_SEARCH_H

int replace_string( char * szReplace ,int nBegin ,int nLen ,char * szReplaceTo );
int report_find_err(int fd , const char *fmt, ...);
int search_string(char * line ,char * szTarget ,int bRegular ,int bCase ,
					int bWholeWord ,char *szReplaceWith ,char * newline);

int text_seach(int fd , char *servpf ,char *szFileTypes, char *szPath , char *szTarget,
               int bRegular , int bSubDir , int bCase , int bWholeWord , char *szReplaceWith);

int text_search_in_file(int fd , char *servpf ,char *szFileName,  char *szTarget,
               int bRegular ,  int bCase , int bWholeWord , char *szReplaceWith);







#endif
